---
description: >
  Sample Profinet commissioning file

metadata:
  name: Profinet example
  icon: https://www.cybus.io/wp-content/uploads/2017/10/for-whom1.svg
  provider: cybus
  homepage: https://www.cybus.io
  version: 1.0.0

resources:
  profinetConnection:
    type: Cybus::Connection
    properties:
      protocol: Profinet
      connection:
        localInterface: 'eth0'
        gsdPath: '/app/gsd-files' # These paths are referenced between the container
        configPath: '/app/profinet-config'
        connectionStrategy:
          initialDelay: 1000
          maxDelay: 30000
          incrementFactor: 2

  endpoint1:
    type: Cybus::Endpoint
    properties:
      protocol: Profinet
      connection: !ref profinetConnection
      subscribe:
        deviceName: 'netx52repns'
        api: 0
        slot: 0
        subSlot: 0
        propertyIndex: 0

  mapping:
    type: Cybus::Mapping
    properties:
      mappings:
        - subscribe:
            endpoint: !ref endpoint1
          publish:
            topic: 'netx52rens_output'
